WPSDocument Class Reference

This class provides all the functions an application would need to parse Works documents. More...

`#include <WPSDocument.h>`

## Static Public Member Functions

static WPSLIB WPSConfidence | isFileFormatSupported (WPXInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed. More...
static WPSLIB WPSResult | parse (WPXInputStream *input, WPXDocumentInterface *documentInterface)
| Parses the input stream content. More...

## Detailed Description

This class provides all the functions an application would need to parse Works documents.

## Member Function Documentation

WPSConfidence WPSDocument::isFileFormatSupported | ( | WPXInputStream * | ip | ) |

static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  ip | The input stream

Returns
  A confidence value which represents the likelyhood that the content from the input stream can be parsed

WPSResult WPSDocument::parse | ( | WPXInputStream * | ip,
|  | WPXDocumentInterface * | documentInterface
| ) |  |

static

Parses the input stream content.

It will make callbacks to the functions provided by a WPXDocumentInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  ip | The input stream
  documentInterface | A WPSListener implementation

The documentation for this class was generated from the following files:

- WPSDocument.h
- WPSDocument.cpp